# Class Event

java.lang.Object
org.daypilot.ui.Event

public class Event extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Event(DateTime start, DateTime end, String id, String text, String resourceId, TagCollection tags, String[] sort, boolean allDay)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DateTime`
  `getEnd()`
  `String`
  `getId()`
  `String`
  `getJoin()`
  `String`
  `getRecurrentMasterId()`
  `String`
  `getResourceId()`
  `String[]`
  `getSort()`
  `Object`
  `getSource()`
  `DateTime`
  `getStart()`
  `TagCollection`
  `getTags()`
  `String`
  `getText()`
  `boolean`
  `isAllDay()`
  `boolean`
  `isRecurrent()`
  `void`
  `setAllDay(boolean allDay)`
  `void`
  `setEnd(DateTime end)`
  `void`
  `setId(String id)`
  `void`
  `setJoin(String join)`
  `void`
  `setRecurrent(boolean recurrent)`
  `void`
  `setRecurrentMasterId(String recurrentMasterId)`
  `void`
  `setResourceId(String resourceId)`
  `void`
  `setSort(String[] sort)`
  `void`
  `setSource(Object source)`
  `void`
  `setStart(DateTime start)`
  `void`
  `setText(String text)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Event

    public Event(DateTime start, DateTime end, String id, String text, String resourceId, TagCollection tags, String[] sort, boolean allDay)

- ## Method Details

  - ### getStart

    public DateTime getStart()

  - ### setStart

    public void setStart(DateTime start)

  - ### getEnd

    public DateTime getEnd()

  - ### setEnd

    public void setEnd(DateTime end)

  - ### getText

    public String getText()

  - ### setText

    public void setText(String text)

  - ### getId

    public String getId()

  - ### setId

    public void setId(String id)

  - ### getResourceId

    public String getResourceId()

  - ### setResourceId

    public void setResourceId(String resourceId)

  - ### isAllDay

    public boolean isAllDay()

  - ### setAllDay

    public void setAllDay(boolean allDay)

  - ### getSort

    public String[] getSort()

  - ### setSort

    public void setSort(String[] sort)

  - ### getTags

    public TagCollection getTags()

  - ### getSource

    public Object getSource()

  - ### setSource

    public void setSource(Object source)

  - ### isRecurrent

    public boolean isRecurrent()

  - ### setRecurrent

    public void setRecurrent(boolean recurrent)

  - ### getRecurrentMasterId

    public String getRecurrentMasterId()

  - ### setRecurrentMasterId

    public void setRecurrentMasterId(String recurrentMasterId)

  - ### getJoin

    public String getJoin()

  - ### setJoin

    public void setJoin(String join)